Cloady Docs
API ReferenceEndpointsDatabase

List a database component's schemas and tables

GET
/api/workspaces/{workspaceSlug}/apps/{appSlug}/db/schema
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string
appSlug*string

Query Parameters

component*string
schema?string
env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/workspaces/string/apps/string/db/schema?component=string"
{  "engine": "postgres",  "schemas": [    "string"  ],  "schema": "string",  "tables": [    {      "name": "string",      "kind": "table",      "rows": 0,      "cols": [        {          "key": "string",          "type": "string",          "pk": true        }      ]    }  ]}